Subject: bug#51814: follow-scroll-down leaves point in wrong place in a corner case.

From: Juri Linkov <[email-masked]>
Date: Sat, 13 Nov 2021 19:58:12 +0200

> I believe the following patch fixes this.  Juri, could you try it out,
> please.
>
> As a test buffer,
> (i) open elisp.info in a default GUI window (34 lines);
> (ii) C-x 3 ; split it with a vertical divider.
> (iii) ] ; Move to next page in manual, "Introduction".
> (iv) M-x follow-mode.
> (v) C-u 20 C-v ; scroll-up a significant amount.
>
> (vi) Move point to the line beginning "* Caveats".
> (vii) M-x follow-scroll-down.
>
> Note that point is in a random place.  This is a bug.

Thanks, I confirm this bug is fixed with your patch.
I've tested it with and without tab-line-mode in Info
with the header line.